
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "locd/version"

Gem::Specification.new do |spec|
  spec.name          = Locd::GEM_NAME
  spec.version       = Locd::VERSION
  spec.authors       = ["nrser"]
  spec.email         = ["neil@ztkae.com"]

  spec.summary       = %{Get loc'd out!}
  # spec.description   = %q{TODO: Write a longer description or delete this line.}
  spec.homepage      = "https://github.com/nrser/locd"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features|dev)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  spec.required_ruby_version = '>= 2.3.0'

  # Dependencies
  # ============================================================================
  
  # Development Dependencies
  # ----------------------------------------------------------------------------

  spec.add_development_dependency "bundler", ">= 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.7"
  
  # Nicer REPL experience
  spec.add_development_dependency "pry", '~> 0.10.4'
  spec.add_development_dependency "pry-rescue", '~> 1.4.5'
  spec.add_development_dependency "pry-stack_explorer", '~> 0.4.9'
  

  # GitHub-Flavored Markdown (GFM) for use with `yard`
  spec.add_development_dependency 'github-markup', '~> 1.6'
  # Doc site generation with `yard`
  spec.add_development_dependency 'yard', '~> 0.9.12'
  # Provider for `commonmarker`, the new GFM lib
  spec.add_development_dependency 'yard-commonmarker', '~> 0.3.0'
  
  
  # Runtime Dependencies
  # ----------------------------------------------------------------------------
  
  # My guns
  spec.add_dependency "nrser", '~> 0.3.12'
  
  # Used to process command templates from projects' `//dev/locd.yml` files
  spec.add_dependency "cmds", ">= 0.2.10"
  
  # Content-aware proxy in Ruby based on EventMachine
  spec.add_dependency 'proxymachine', '~> 1.2'
  
  # Manipulate the `.plist` XML files that `launchd` uses for service defs
  spec.add_dependency 'plist', '~> 3.4'
  
  # Atli, my fork of Thor for CLI interface
  spec.add_dependency 'atli', '~> 0.1.13'
  
  # TODO IDK what was going on here..
  # spec.add_dependency 'terminal-table', '~> 1.8'

  spec.add_dependency 'rouge', '~> 3.1.1'
end
